##
##  General inference rules.
##

$(OJTDIR)/%_s$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC);
	$(MPCCPROG)   $(CCOPT) $(CCINC) -c $(<) -o $(@)

$(OJTDIR)/%_d$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) -DFORCE_DOUBLE -DPREC_DOUBLE;
	$(MPCCPROG)   $(CCOPT) $(CCINC) -DFORCE_DOUBLE -DPREC_DOUBLE -c $(<) -o $(@)

$(OJTDIR)/%_c$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) -DFORCE_COMPLEX -DTYPE_COMPLEX;
	$(MPCCPROG)   $(CCOPT) $(CCINC) -DFORCE_COMPLEX -DTYPE_COMPLEX -c $(<) -o $(@)

$(OJTDIR)/%_z$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) -DFORCE_DOUBLE -DPREC_DOUBLE -DFORCE_COMPLEX -DTYPE_COMPLEX;
	$(MPCCPROG)   $(CCOPT) $(CCINC) -DFORCE_DOUBLE -DPREC_DOUBLE -DFORCE_COMPLEX -DTYPE_COMPLEX -c $(<) -o $(@)

$(OJTDIR)/%$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) $(CCTYPESFLT) -DNO_TYPE_PREFIX;
	$(MPCCPROG)   $(CCOPT) $(CCINC) $(CCTYPESFLT) -DNO_TYPE_PREFIX -c $(<) -o $(@)

$(DSTDIR)/%$(EXE)	:	$(SRCDIR)/%.c config.in
		 		$(MPCCPROG) $(CCOPT) $(CCINC) $(LKOPT) $(<) -o $(@) $(LKLIB)
