##
##  General inference rules.
##

$(OJTDIR)/%$(OBJ)	:	$(OJTDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC);
	$(CCPRG) $(CCOPT) $(CCINC) -c $(<) -o $(@)

## OBJ : SRC
$(DSTDIR)/%$(OBJ)	:       $(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC);
	$(CCPRG) $(CCOPT) $(CCINC) -c $(<) -o $(@)
$(OJTDIR)/%_s$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC);
	$(CCPRG) $(CCOPT) $(CCINC) -c $(<) -o $(@)

$(OJTDIR)/%_d$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) -DFORCE_DOUBLE -DPREC_DOUBLE;
	$(CCPRG) $(CCOPT) $(CCINC) -c $(<) -o $(@) -DFORCE_DOUBLE -DPREC_DOUBLE

$(OJTDIR)/%_c$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) -DFORCE_COMPLEX -DTYPE_COMPLEX;
	$(CCPRG) $(CCOPT) $(CCINC) -c $(<) -o $(@) -DFORCE_COMPLEX -DTYPE_COMPLEX

$(OJTDIR)/%_z$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) -DFORCE_DOUBLE -DPREC_DOUBLE -DFORCE_COMPLEX -DTYPE_COMPLEX;
	$(CCPRG) $(CCOPT) $(CCINC) -c $(<) -o $(@) -DFORCE_DOUBLE -DPREC_DOUBLE -DFORCE_COMPLEX -DTYPE_COMPLEX

$(OJTDIR)/%$(OBJ)	:	$(SRCDIR)/%.c config.in
	$(MAKEDEPEND) $(CCOPT) $(CCINC) -DNO_TYPE_PREFIX;
	$(CCPRG) $(CCOPT) $(CCINC) -c $(<) -o $(@) $(CCTYPESFLT) -DNO_TYPE_PREFIX


## EXE : SRC
$(OJTDIR)/%$(EXE)	:	$(SRCDIR)/%.c config.in
	$(CCPRG) $(CCOPT) $(CCINC) $(LKOPT) $(<) -o $(@) $(LKLIB)


$(DSTDIR)/%$(EXE)	:	$(SRCDIR)/%.c config.in
	$(CCPRG) $(CCOPT) $(CCINC) $(LKOPT) $(<) -o $(@) $(LKLIB)

